darcs.cgi is the darcs repository viewer.  It provides a web interface
for viewing darcs repositories, using XSLT to transform darcs' XML
output into XHTML. It is written in perl and is more featureful than
the older haskell cgi program darcs_cgi.lhs (seen in URLs as "darcs").

dependencies

  darcs.cgi requires with the following tools and has been tested with
  the version mentioned:

  darcs-1.0.1           http://www.darcs.net
  libxslt-1.1.6         http://xmlsoft.org/XSLT/
  perl-5.8.0            http://www.perl.com

installation

  1) copy darcs.cgi to your webserver's cgi directory, eg
     /usr/lib/cgi-bin. A symlink probably won't do. Make
     sure it's executable.
  2) copy cgi.conf to @sysconfdir@/darcs/cgi.conf and edit appropriately.
     You can overwrite the cgi.conf used by the old darcs cgi script.
     You probably don't need to change anything here.
  3) copy the xslt directory to @datadir@/darcs/xslt
  4) copy xslt/styles.css to @sysconfdir@/darcs/styles.css

  Test by browsing "http://<host>/cgi-bin/darcs.cgi/".

troubleshooting

  if the configuration is incorrect error messages will be printed to
  the webserver's error log, for example "/var/log/apache/error.log".

  you can also double check the configuration by running darcs.cgi
  from the command line and supplying a --check argument:

     $ ./darcs.cgi --check

character encodings

  if your repositories contain files with characters encoded in
  something other than ASCII or UTF-8, change the 'xml_encoding'
  setting in cgi.conf to the appropriate encoding.
